Bug 654528 - yum update
yum update
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.8
i386 Linux
low Severity medium
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-18 00:53 EST by Matthew Simpson
Modified: 2014-01-21 01:19 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-19 13:00:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthew Simpson 2010-11-18 00:53:51 EST
Description of problem:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
python-abi is needed by (installed) pyzor-0.4.0-8.noarch
Complete!


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. yum update
2.
3.
  
Actual results:


Expected results:


Additional info:



# yum -y update
Loaded plugins: fastestmirror, priorities
Determining fastest mirrors
 * addons: mirror.primusdatacentre.com.au
 * base: mirror.primusdatacentre.com.au
 * extras: mirror.primusdatacentre.com.au
 * jpackage-generic: mirror.ibcp.fr
 * jpackage-rhel: mirror.ibcp.fr
 * updates: mirror.primusdatacentre.com.au
addons                                                   |  951 B     00:00     
base                                                     | 2.1 kB     00:00     
extras                                                   | 2.1 kB     00:00     
extras/primary_db                                        | 188 kB     00:00     
jpackage-generic                                         | 2.3 kB     00:00     
jpackage-generic/primary_db                              | 665 kB     00:02     
jpackage-rhel                                            | 2.3 kB     00:00     
jpackage-rhel/primary_db                                 | 4.7 kB     00:00     
kbs-CentOS-Extras                                        | 1.9 kB     00:00     
kbs-CentOS-Misc                                          | 1.9 kB     00:00     
rt-3.4.x                                                 |  951 B     00:00     
updates                                                  | 1.9 kB     00:00     
updates/primary_db                                       | 829 kB     00:00     
Excluding Packages from CentOS.Karan.Org-EL5 - Stable
Finished
Excluding Packages from CentOS.Karan.Org-EL5 - Stable
Finished
199 packages excluded due to repository priority protections
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package apr.i386 0:1.2.7-11.el5_5.3 set to be updated
---> Package autofs.i386 1:5.0.1-0.rc2.143.el5_5.6 set to be updated
---> Package cups.i386 1:1.3.7-18.el5_5.8 set to be updated
---> Package cups-libs.i386 1:1.3.7-18.el5_5.8 set to be updated
---> Package e2fsprogs.i386 0:1.39-23.el5_5.1 set to be updated
---> Package e2fsprogs-devel.i386 0:1.39-23.el5_5.1 set to be updated
---> Package e2fsprogs-libs.i386 0:1.39-23.el5_5.1 set to be updated
---> Package freetype.i386 0:2.2.1-28.el5_5.1 set to be updated
---> Package glibc.i686 0:2.5-49.el5_5.7 set to be updated
---> Package glibc-common.i386 0:2.5-49.el5_5.7 set to be updated
---> Package initscripts.i386 0:8.45.30-3.el5.centos set to be updated
---> Package kernel.i686 0:2.6.18-194.26.1.el5 set to be installed
---> Package kernel-PAE.i686 0:2.6.18-194.26.1.el5 set to be installed
---> Package logrotate.i386 0:3.7.4-9.el5_5.2 set to be updated
---> Package mysql.i386 0:5.0.77-4.el5_5.4 set to be updated
---> Package mysql-devel.i386 0:5.0.77-4.el5_5.4 set to be updated
---> Package mysql-server.i386 0:5.0.77-4.el5_5.4 set to be updated
---> Package nscd.i386 0:2.5-49.el5_5.7 set to be updated
---> Package openmotif.i386 0:2.3.1-5.el5_5.1 set to be updated
---> Package pam.i386 0:0.99.6.2-6.el5_5.2 set to be updated
---> Package python.i386 0:2.4.3-27.el5_5.3 set to be updated
---> Package selinux-policy.noarch 0:2.4.6-279.el5_5.2 set to be updated
---> Package selinux-policy-targeted.noarch 0:2.4.6-279.el5_5.2 set to be updated
---> Package tcsh.i386 0:6.14-17.el5_5.2 set to be updated
---> Package xulrunner.i386 0:1.9.2.11-4.el5 set to be updated
jpackage-generic/filelists_db                            | 1.8 MB     00:04     
jpackage-rhel/filelists_db                               | 5.2 kB     00:00     
updates/filelists_db                                     | 3.7 MB     00:00     
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                   Arch     Version                     Repository
                                                                           Size
================================================================================
Installing:
 kernel                    i686     2.6.18-194.26.1.el5         updates    17 M
 kernel-PAE                i686     2.6.18-194.26.1.el5         updates    17 M
Updating:
 apr                       i386     1.2.7-11.el5_5.3            updates   123 k
 autofs                    i386     1:5.0.1-0.rc2.143.el5_5.6   updates   891 k
 cups                      i386     1:1.3.7-18.el5_5.8          updates   3.1 M
 cups-libs                 i386     1:1.3.7-18.el5_5.8          updates   199 k
 e2fsprogs                 i386     1.39-23.el5_5.1             updates   977 k
 e2fsprogs-devel           i386     1.39-23.el5_5.1             updates   569 k
 e2fsprogs-libs            i386     1.39-23.el5_5.1             updates   118 k
 freetype                  i386     2.2.1-28.el5_5.1            updates   312 k
 glibc                     i686     2.5-49.el5_5.7              updates   5.3 M
 glibc-common              i386     2.5-49.el5_5.7              updates    16 M
 initscripts               i386     8.45.30-3.el5.centos        updates   1.6 M
 logrotate                 i386     3.7.4-9.el5_5.2             updates    41 k
 mysql                     i386     5.0.77-4.el5_5.4            updates   4.8 M
 mysql-devel               i386     5.0.77-4.el5_5.4            updates   2.4 M
 mysql-server              i386     5.0.77-4.el5_5.4            updates   9.8 M
 nscd                      i386     2.5-49.el5_5.7              updates   166 k
 openmotif                 i386     2.3.1-5.el5_5.1             updates   1.5 M
 pam                       i386     0.99.6.2-6.el5_5.2          updates   980 k
 python                    i386     2.4.3-27.el5_5.3            updates   5.9 M
 selinux-policy            noarch   2.4.6-279.el5_5.2           updates   406 k
 selinux-policy-targeted   noarch   2.4.6-279.el5_5.2           updates   1.2 M
 tcsh                      i386     6.14-17.el5_5.2             updates   465 k
 xulrunner                 i386     1.9.2.11-4.el5              updates    12 M

Transaction Summary
================================================================================
Install       2 Package(s)
Upgrade      23 Package(s)

Total download size: 103 M
Downloading Packages:
(1/25): logrotate-3.7.4-9.el5_5.2.i386.rpm               |  41 kB     00:00     
(2/25): e2fsprogs-libs-1.39-23.el5_5.1.i386.rpm          | 118 kB     00:00     
(3/25): apr-1.2.7-11.el5_5.3.i386.rpm                    | 123 kB     00:00     
(4/25): nscd-2.5-49.el5_5.7.i386.rpm                     | 166 kB     00:00     
(5/25): cups-libs-1.3.7-18.el5_5.8.i386.rpm              | 199 kB     00:00     
(6/25): freetype-2.2.1-28.el5_5.1.i386.rpm               | 312 kB     00:00     
(7/25): selinux-policy-2.4.6-279.el5_5.2.noarch.rpm      | 406 kB     00:00     
(8/25): tcsh-6.14-17.el5_5.2.i386.rpm                    | 465 kB     00:00     
(9/25): e2fsprogs-devel-1.39-23.el5_5.1.i386.rpm         | 569 kB     00:00     
(10/25): autofs-5.0.1-0.rc2.143.el5_5.6.i386.rpm         | 891 kB     00:00     
(11/25): e2fsprogs-1.39-23.el5_5.1.i386.rpm              | 977 kB     00:00     
(12/25): pam-0.99.6.2-6.el5_5.2.i386.rpm                 | 980 kB     00:00     
(13/25): selinux-policy-targeted-2.4.6-279.el5_5.2.noarc | 1.2 MB     00:00     
(14/25): openmotif-2.3.1-5.el5_5.1.i386.rpm              | 1.5 MB     00:00     
(15/25): initscripts-8.45.30-3.el5.centos.i386.rpm       | 1.6 MB     00:00     
(16/25): mysql-devel-5.0.77-4.el5_5.4.i386.rpm           | 2.4 MB     00:00     
(17/25): cups-1.3.7-18.el5_5.8.i386.rpm                  | 3.1 MB     00:00     
(18/25): mysql-5.0.77-4.el5_5.4.i386.rpm                 | 4.8 MB     00:00     
(19/25): glibc-2.5-49.el5_5.7.i686.rpm                   | 5.3 MB     00:00     
(20/25): python-2.4.3-27.el5_5.3.i386.rpm                | 5.9 MB     00:00     
(21/25): mysql-server-5.0.77-4.el5_5.4.i386.rpm          | 9.8 MB     00:00     
(22/25): xulrunner-1.9.2.11-4.el5.i386.rpm               |  12 MB     00:01     
(23/25): glibc-common-2.5-49.el5_5.7.i386.rpm            |  16 MB     00:01     
(24/25): kernel-2.6.18-194.26.1.el5.i686.rpm             |  17 MB     00:01     
(25/25): kernel-PAE-2.6.18-194.26.1.el5.i686.rpm         |  17 MB     00:01     
--------------------------------------------------------------------------------
Total                                           8.7 MB/s | 103 MB     00:11     
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
python-abi is needed by (installed) pyzor-0.4.0-8.noarch
Complete!
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])
Comment 1 James Antill 2010-11-18 10:40:19 EST
run:

package-cleanup --problems
rpm -Va --nofiles --nodigest
Comment 2 Matthew Simpson 2010-11-18 19:29:23 EST
]# package-cleanup --problems
Setting up yum
Reading local RPM database
Processing all local requires
Missing dependencies:
Package MySQL-python requires libcrypto.so.4
Package MySQL-python requires libmysqlclient_r.so.14
Package MySQL-python requires libmysqlclient_r.so.14(libmysqlclient_14)
Package MySQL-python requires libssl.so.4
Package proftpd requires libcrypto.so.4
Package proftpd requires libssl.so.4

]# rpm -Va --nofiles --nodigest
Unsatisfied dependencies for MySQL-python-1.2.1_p2-1.el4.1.i386: libcrypto.so.4, libmysqlclient_r.so.14, libmysqlclient_r.so.14(libmysqlclient_14), libssl.so.4
Unsatisfied dependencies for proftpd-1.3.2-1.el4.rf.i386: libcrypto.so.4, libssl.so.4

]# yum erase pyzor

Note You need to log in before you can comment on or make changes to this bug.